Package twisted :: Package internet :: Module interfaces :: Class ISystemHandle

[frames | no frames]

## Class ISystemHandle

    Interface --+
                |
               ISystemHandle

An object that wraps a networking OS-specific handle.

Method Summary
| ``getHandle`(self)` Return a system- and reactor-specific handle.

Method Details

### getHandle(self)

Return a system- and reactor-specific handle.

This might be a socket.socket() object, or some other type of object, depending on which reactor is being used. Use and manipulate at your own risk.

This might be used in cases where you want to set specific options not exposed by the Twisted APIs.

Generated by Epydoc 2.0 on Sat May 15 20:07:56 2004 | http://epydoc.sf.net